Next Previous Contents

## 3.110 mouse_load_driver

> Function

>   Load and initialize a mouse driver.

> Header

>   `mouse.h`

> Declaration

>   `unsigned char __fastcall__ mouse_load_driver (const struct mouse_callbacks* c, const char* driver);`

> Description

>   Load a mouse driver into memory and initialize it. The function returns an error code that tells if the call has been successful. The `mouse_callbacks` structure passed as first parameter contains pointers to routines needed to move or hide/show the mouse pointer. Defaults for these routines are supplied by the library, so if you can live with these defaults (which are platform specific), just pass a pointer to `mouse_def_callbacks`.

> Limits

>   - The driver is loaded by name, so currently you must know the type of mouse that should be supported. There is no autodetect capability.
>   - Not all drivers are able to detect if the supported hardware is really present.
>   - After installing a driver, the mouse cursor is hidden.
>   - The function is only available as fastcall function, so it may only be used in presence of a prototype.
> Availability

>   cc65

> See also

>   mouse_install, mouse_uninstall, mouse_unload

> Example

>   None.

Next Previous Contents